#!/bin/bash
#Description: DevKit constants
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2023. All rights reserved.
#History: 2023-10-20 created

function change_file_permission() {
    local file="$1"
    local num="$2"
    if [ -f "${file}" ]; then
        chmod "${num}" "${file}"
    fi
}

function init_env() {
    INSTALL_INI_PATH="${INSTALL_PATH}/config/install.ini"
    source ${INSTALL_PATH}/tools/log.sh
    if [[ ! -f "${INSTALL_INI_PATH}" ]]; then
		echo_and_log "There is no configure file(${INSTALL_INI_PATH}), please check!" "${ERROR}"
		exit "${ERROR}"
	fi
    USER_PATH="$(grep -w USER_PATH "${INSTALL_INI_PATH}" | awk -F= '{if($2 !="") print $2}')"
    CUDA_GDB_PATH=$(which cuda-gdb 2>/dev/null)
    if [[ ${CUDA_GDB_PATH} ]]; then
        CUDA_BIN_PATH="$(dirname ${CUDA_GDB_PATH})"
        echo "CUDA_GDB_BIN_PATH=${CUDA_BIN_PATH}" >> ${INSTALL_PATH}/devkitplugins/debugger/config/install.ini
    fi
}

function main() {
    INSTALL_PATH="$1"
    init_env
	change_file_permission "${INSTALL_PATH}/devkitplugins/debugger/config/request_param.conf" 600
	change_file_permission "${INSTALL_PATH}/devkitplugins/debugger/config/serverinfo.conf" 600
}

main "$@"